%global srcname minibelt
%global sum One-file utility module filled with helper functions for Python

Name:           python-%{srcname}
Version:        0.1.1
Release:        4%{?dist}
Summary:        One-file utility module filled with helper functions for Python

License:        zlib
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         minibelt-encoding.patch

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
One-file utility module filled with helper functions for day to day
Python programming. This is a subset of batbelt, with only the most used
features, packed in a tiny file, and Python 2.7/3.3 compatible.

%package -n python2-%{srcname}
Summary:        One-file utility module filled with helper functions for Python
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
One-file utility module filled with helper functions for day to day
Python programming. This is a subset of batbelt, with only the most used
features, packed in a tiny file, and Python 2.7/3.3 compatible.


%package -n python3-%{srcname}
Summary:        One-file utility module filled with helper functions for Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
One-file utility module filled with helper functions for day to day
Python programming. This is a subset of batbelt, with only the most used
features, packed in a tiny file, and Python 2.7/3.3 compatible.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check

%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/minibelt*
%{python3_sitelib}/__pycache__/minibelt.*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sun Sep 13 2015 René Ribaud <rene.ribaud@free.fr> - 0.1.1-1
- Initial rpm
